summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Roberto Metere2011-03-05 04:58:56 +0100
committer Robby Workman2011-03-08 19:14:31 +0100
commita68841f8573608456c650f62f0727dfbcecd1081 (patch)
tree4aea0c20df15bc1eb50afbeadd637ee5cea122e2
parent814a4f93a6cc0bee94208eb13fb4a17fcd418a63 (diff)
downloadslackbuilds-a68841f8573608456c650f62f0727dfbcecd1081.tar.gz
libraries/libcitadel: Added. Common Citadel libraries.
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
-rw-r--r--libraries/libcitadel/README4
-rw-r--r--libraries/libcitadel/libcitadel.SlackBuild90
-rw-r--r--libraries/libcitadel/libcitadel.info10
-rw-r--r--libraries/libcitadel/slack-desc18
4 files changed, 122 insertions, 0 deletions
diff --git a/libraries/libcitadel/README b/libraries/libcitadel/README
new file mode 100644
index 0000000000..6ad33ad29a
--- /dev/null
+++ b/libraries/libcitadel/README
@@ -0,0 +1,4 @@
+libcitadel contains common code which is shared across all of the
+components which make up the Citadel system.
+
+Install this library before installing Citadel.
diff --git a/libraries/libcitadel/libcitadel.SlackBuild b/libraries/libcitadel/libcitadel.SlackBuild
new file mode 100644
index 0000000000..91ced8d5d6
--- /dev/null
+++ b/libraries/libcitadel/libcitadel.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for ejabberd
+
+# Copyright (c) 2010 Roberto Metere. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libcitadel
+VERSION=7.85
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.txt config.log \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libcitadel/libcitadel.info b/libraries/libcitadel/libcitadel.info
new file mode 100644
index 0000000000..f5728631c3
--- /dev/null
+++ b/libraries/libcitadel/libcitadel.info
@@ -0,0 +1,10 @@
+PRGNAM="libcitadel"
+VERSION="7.85"
+HOMEPAGE="http://www.citadel.org"
+DOWNLOAD="http://easyinstall.citadel.org/libcitadel-7.85.tar.gz"
+MD5SUM="14a98861bf6421722f6528afe6606ec5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Metere"
+EMAIL="roberto{at}metere{dot}it"
+APPROVED="Michiel van Wessem"
diff --git a/libraries/libcitadel/slack-desc b/libraries/libcitadel/slack-desc
new file mode 100644
index 0000000000..1fa1f30285
--- /dev/null
+++ b/libraries/libcitadel/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libcitadel: libcitadel (Citadel library)
+libcitadel:
+libcitadel: libcitadel contains common code which is shared across all of the
+libcitadel: components which make up the Citadel system. Its installation is
+libcitadel: mandatory. Please install it first. (If you are using pre-built
+libcitadel: packages, or the Easy Install system, this library will be brought
+libcitadel: in for you automatically.)
+libcitadel:
+libcitadel:
+libcitadel: